import Foundation

protocol BusinessCardProviding: AnyObject {
    var cards: [BusinessCard] { get }
    var selectedCardID: UUID? { get set }

    func selectCard(id: UUID)
    func addCard(_ card: BusinessCard)
    func updateCard(_ card: BusinessCard)
    func deleteCard(_ card: BusinessCard)
}

extension BusinessCardProviding {
    func selectCard(id: UUID) {
        selectedCardID = id
    }
}
